# Uses of Class
org.springframework.asm.Attribute

Packages that use Attribute
Package
Description
org.springframework.asm
Spring's repackaging of ASM 9.x (with Spring-specific patches; for internal use only).
org.springframework.cglib.transform
Spring's repackaging of the CGLIB transform package (for internal use only).

## Uses of Attribute in org.springframework.asm

Methods in org.springframework.asm that return Attribute
Modifier and Type
Method
Description
`static Attribute`
Attribute.`read(Attribute attribute, ClassReader classReader, int offset, int length, char[] charBuffer, int codeAttributeOffset, Label[] labels)`
Reads an attribute with the same `type` as the given attribute.
`protected Attribute`
Attribute.`read(ClassReader classReader, int offset, int length, char[] charBuffer, int codeAttributeOffset, Label[] labels)`
Reads a `type` attribute.
Methods in org.springframework.asm with parameters of type Attribute
Modifier and Type
Method
Description
`void`
ClassReader.`accept(ClassVisitor classVisitor, Attribute[] attributePrototypes, int parsingOptions)`
Makes the given visitor visit the JVMS ClassFile structure passed to the constructor of this `ClassReader`.
`static Attribute`
Attribute.`read(Attribute attribute, ClassReader classReader, int offset, int length, char[] charBuffer, int codeAttributeOffset, Label[] labels)`
Reads an attribute with the same `type` as the given attribute.
`void`
ClassVisitor.`visitAttribute(Attribute attribute)`
Visits a non standard attribute of the class.
`final void`
ClassWriter.`visitAttribute(Attribute attribute)`
`void`
FieldVisitor.`visitAttribute(Attribute attribute)`
Visits a non standard attribute of the field.
`void`
MethodVisitor.`visitAttribute(Attribute attribute)`
Visits a non standard attribute of this method.
`void`
RecordComponentVisitor.`visitAttribute(Attribute attribute)`
Visits a non standard attribute of the record component.
`static byte[]`
Attribute.`write(Attribute attribute, ClassWriter classWriter, byte[] code, int codeLength, int maxStack, int maxLocals)`
Returns the byte array form of the content of the given attribute.

## Uses of Attribute in org.springframework.cglib.transform

Methods in org.springframework.cglib.transform that return Attribute
Modifier and Type
Method
Description
`protected Attribute[]`
AbstractClassLoader.`attributes()`
Methods in org.springframework.cglib.transform with parameters of type Attribute
Modifier and Type
Method
Description
`void`
AbstractClassFilterTransformer.`visitAttribute(Attribute attr)`
`void`
ClassVisitorTee.`visitAttribute(Attribute attrs)`
`void`
FieldVisitorTee.`visitAttribute(Attribute attr)`
`void`
MethodVisitorTee.`visitAttribute(Attribute attr)`
Constructors in org.springframework.cglib.transform with parameters of type Attribute
Modifier
Constructor
Description
``
`ClassReaderGenerator(ClassReader r, Attribute[] attrs, int flags)`